# Copyright 2008, 2009 Canonical Ltd.
#
# This file is part of wsgi-oops.
#
# wsgi-oops is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License version 3
# as published by the Free Software Foundation.
#
# wsgi-oops is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with wsgi-oops.  If not, see <http://www.gnu.org/licenses/>.

"""Miscellaneous utilities."""

def resolve_name(name):
    """Resolve a name in the python module hierarchy."""
    path = name.split(".")
    module_name = ".".join(path[:-1])
    module = __import__(module_name)
    value = reduce(getattr, path[1:], module)
    return value
